org.eclipse.cdt.core.dom.ast

## Interface IASTLabelStatement

All Superinterfaces:
  IASTAttributeOwner, IASTNameOwner, IASTNode, IASTStatement

    public interface IASTLabelStatement
    extends IASTStatement, IASTNameOwner

Represents a label statement.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static IASTLabelStatement[]` `EMPTY_ARRAY`
`static IASTStatement[]` `EMPTY_LABEL_STATEMENT_ARRAY` Deprecated. use `EMPTY_ARRAY` instead
`static ASTNodeProperty` `NAME`
`static ASTNodeProperty` `NESTED_STATEMENT`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTStatement

`EMPTY_STATEMENT_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTLabelStatement` `copy()` Returns a mutable copy of the tree rooted at this node.
`IASTLabelStatement` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTName` `getName()` The name for the label.
`IASTStatement` `getNestedStatement()` Returns the statement following the label.
`void` `setName(IASTName name)` Set the name for a label.
`void` `setNestedStatement(IASTStatement statement)` Sets the statement following the label.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Field Detail

#### EMPTY_ARRAY

    static final IASTLabelStatement[] EMPTY_ARRAY

Since:
  6.0

#### EMPTY_LABEL_STATEMENT_ARRAY

    @Deprecated
    static final IASTStatement[] EMPTY_LABEL_STATEMENT_ARRAY

Deprecated. use `EMPTY_ARRAY` instead

Since:
  5.4
Restriction:
  This field is not intended to be referenced by clients.

#### NAME

    static final ASTNodeProperty NAME

#### NESTED_STATEMENT

    static final ASTNodeProperty NESTED_STATEMENT

### Method Detail

#### getName

    IASTName getName()

The name for the label. The name resolves to an ILabel binding.

Returns:
  the name for the label

#### setName

    void setName(IASTName name)

Set the name for a label.

Parameters:
  `name` -

#### getNestedStatement

    IASTStatement getNestedStatement()

Returns the statement following the label.

#### setNestedStatement

    void setNestedStatement(IASTStatement statement)

Sets the statement following the label.

Parameters:
  `statement` - the statement to set

#### copy

    IASTLabelStatement copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Since:
  5.1

#### copy

    IASTLabelStatement copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3